dpkg-statoverride(8)

NOM
dpkg-statoverride - annuler la propriété et le mode des fichiers

SYNOPSIS
dpkg-statoverride [options] commande

DESCRIPTION
Les « dérogations au statut » sont une façon de demander à dpkg(1) de changer le propriétaire ou le mode d'un fichier lors de l'installation d'un paquet. (Note : je dis « fichier » ici, mais cela peut être en réalité n'importe quel système de fichiers gérable par Dpkg, par exemple, des répertoires, des périphériques, etc.) On peut s'en servir pour forcer l'installation de programmes qui sont normalement « setuid » sans ce drapeau « setuid », ou pour les rendre exécutables seulement par un groupe donné.

dpkg-statoverride est un utilitaire pour gérer la liste des dérogations. Il possède trois fonctions élémentaires : l'ajout, la suppression et le listage des dérogations.

COMMANDES

--add utilisateur groupe mode fichier
    Add an override for file. file does not need to exist when this command is used; the override will be stored and used later. Users and groups can be specified by their name (for example root or nobody), or by their number by prepending the number with a `#' (for example #0 or #65534). The mode needs to be specified in octal. If --update is specified and file exists, it is immediately set to the new owner and mode.

--remove fichier
    Remove an override for file, the status of file is left unchanged by this command.

--list [exp-reg]
    Liste toutes les dérogations. Quand on donne une expression rationnelle, on réduit la sortie aux dérogations qui correspondent au motif. Quand il n'y a pas de dérogation, ou quand aucune ne correspond au motif, dpkg-statoverride se termine avec un code de sortie égal à 1.

--help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--admindir répertoire
    Change the directory of the dpkg database where the statoverride file is also stored. Defaults to /var/lib/dpkg.

--force
    Forcer une opération, même si une vérification raisonnable l'interdirait. C'est nécessaire pour annuler une précédente dérogation.

--update
    Essayer de changer immédiatement le propriétaire et le mode du fichier si ce fichier existe.

--quiet
    Moins de bavardage sur ce qui est fait.

FICHIERS

/var/lib/dpkg/statoverride
    Ce fichier contient la liste actuelle des dérogations concernant le système. Il se trouve dans le répertoire d'administration de Dpkg, avec les autres fichiers importants comme « status » ou « available ».
    Note : dpkg-statoverride garde une copie de ce fichier, avec une extension "-old", avant de le remplacer par un nouveau.

VOIR AUSSI
dpkg(1).

AUTEUR
Copyright © 2000 Wichert Akkerman

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.